const express = require("express");
const bodyParser = require("body-parser");
const routes = require("./index");
const app = express();

app.use(bodyParser.urlencoded({ extended: false }));
app.use(express.static("public"));
app.set("view engine", "ejs");

app.use("/", routes);

app.use((err, req, res, next) => {
  res.status(500).render("error", { error: "Something went wrong!" });
});

const PORT = 3000;
app.listen(PORT, () => {
  console.log(`Server running at http://localhost:${PORT}`);
});
