const Calculator = require("../models/calculatorModel");

exports.calculate = (req, res) => {
  try {
    const { num1, num2, operation } = req.body;
    const a = parseFloat(num1);
    const b = parseFloat(num2);

    if (isNaN(a) || isNaN(b)) {
      throw new Error("Inputs must be valid numbers.");
    }

    let result;
    switch (operation) {
      case "add":
        result = Calculator.add(a, b);
        break;
      case "subtract":
        result = Calculator.subtract(a, b);
        break;
      case "multiply":
        result = Calculator.multiply(a, b);
        break;
      case "divide":
        result = Calculator.divide(a, b);
        break;
      default:
        throw new Error("Invalid operation.");
    }

    res.render("index", { result, error: null });
  } catch (error) {
    res.render("error", { error: error.message });
  }
};
